function [resultHGamma,resultXSigma] = compareApproachesBody(c,doPlot)
%compareApproachesBody body for the test scripts

    [H,gamma, LL] = recoverCommunity(c, 'H,gamma');
    recoveredHGamma = makeCommunity(length(c),H,gamma,@conditionHGamma);
    areaTriu = nnz(triu(recoveredHGamma));
    pD = getP(gamma,length(c),H);
    thetaD = getTheta(gamma,length(c),H);
    xD = getX(pD);
    sigmaD = getSigma(thetaD,pD);
    fprintf('found H=%i gamma=%i LL=%.3f\n', H,gamma,LL);
    fprintf('\t -> area %i\n', areaTriu);
    fprintf('\t derive x=%.3f sigma=%.3f\n\n', xD, sigmaD);
    resultHGamma = [LL, areaTriu, H, gamma, pD, thetaD, xD, sigmaD];
    
%     [p,theta, LL] = recoverCommunity(c, 'p,theta');
%     fprintf('found p=%.3f theta=%.3f LL=%.3f\n',p,theta, LL);
%     fprintf('\t -> area %i\n', getAreaOfExpectedCommunity(N, p,theta, @conditionPTheta));
%     xD = getX(p);
%     sigmaD = getSigma(theta,p);
%     fprintf('\t derive x=%.3f sigma=%.3f\n', xD, sigmaD);
%     fprintf('\t -> area %i LL=%.3f\n\n', getAreaOfExpectedCommunity(N, xD,sigmaD, @conditionXSigma),...
%         computeLL(c, xD, sigmaD, @conditionXSigma));
%     HD = getH(theta, p, N);
%     gammaD = getGamma(p,HD,N);
%     fprintf('\t derive H=%.3f gamma=%.3f\n', HD, gammaD);
%     fprintf('\t -> area %i LL=%.3f\n\n', getAreaOfExpectedCommunity(N, HD,gammaD, @conditionHGamma),...
%         computeLL(c, HD, gammaD, @conditionHGamma));

    [x,sigma, LL] = recoverCommunity(c, 'x,sigma');
    recoveredXSigma = makeCommunity(length(c), x,sigma,@conditionXSigma);
    areaTriu = nnz(triu(recoveredXSigma));
    fprintf('found x=%.3f sigma=%.3f LL=%.3f\n', x,sigma, LL);
    fprintf('\t -> area %i\n', areaTriu);
    pD = getPFromX(x);
    thetaD = getThetaFromP(pD,sigma);
    HD = getH(thetaD,pD,length(c));
    gammaD = getGamma(pD,HD,length(c));
    fprintf('\t derive p=%.3f theta=%.3f\n\t derive H=%.3f gamma=%.3f\n\n', pD, thetaD, HD, gammaD);
    resultXSigma = [LL, areaTriu, HD, gammaD, pD, thetaD, x, sigma];

    % plots
    if doPlot
        scrsz = get(0,'ScreenSize');
        figure('Position',[1 scrsz(2) scrsz(3)/4 scrsz(4)]); 
        subplot(2,1,1);
        [x,y]=find(c);
        
        area(0:length(c)-1, sum(recoveredHGamma)-1, 'FaceColor','cyan', 'EdgeColor', 'none');
        hold on
        scatter(x-1,y-1, '.');
        axis equal; axis tight;
        title('H + gamma');
        subplot(2,1,2);
        area(0:length(c)-1, sum(recoveredXSigma)-1, 'FaceColor','cyan', 'EdgeColor', 'none');
        hold on
        scatter(x-1,y-1, '.');
        axis equal; axis tight;
        title('x + sigma');
    end
