function result = getCommunityStatistics(...
          comm, p1, p2, communityMemberTest)
% GETCOMMUNITYSTATISTICS returns the expected and observed area of a
% community, upper triangular only

%if nnz(comm) == 0,
%    warning('Computing the statistics for an empty community');
%end
N = length(comm); % # of vertices in the graph
% expectedAreaInside = # of 1s in the upper triangular of the expected community
expectedAreaInside = getAreaOfExpectedCommunity(N, p1, p2, communityMemberTest);
% expectedAreaOutside = # of 0s in the upper triangular outside the
% expected community
expectedAreaOutside = getAreaOfTriu(N) - expectedAreaInside;

% How many 1s we observe in and outside the community
observed1sInside = 0;
observed1sOutside = 0;

% All the edges
[I, J] = find(comm); 

% total # of edges
n = length(I);
for i=1:n,
    if I(i) >= J(i)
        continue; % only compute for upper triangular
    end
    if isInCommunity([I(i)-1, J(i)-1], N, p1, p2, communityMemberTest)
        observed1sInside = observed1sInside + 1;
    else
        observed1sOutside = observed1sOutside + 1;
    end
end
result = [observed1sInside, observed1sOutside, ...
          expectedAreaInside, expectedAreaOutside];
end