function res = logMult(x, y)
%LOGMULT calculates x.*log(y) with the result being 0 if x<=0. MATLAB would
%return -Inf in case of x=0 and a complex number in case of x<0.
    res = zeros(length(x),1);
    nonzeros = find(x > 0);
    res(nonzeros) = x(nonzeros) .* log(y(nonzeros));
end
