function plotCommunity(comm)
    color = [1, 0.5, 0];%[1, 0, 0; 1, 0.8, 0; .2, .7, 0.1; .0, 0.5, 1];
    markerSize = 5;
    figure; 
    hold on;
    N = length(comm.members);
    p = getP(comm.p2,N,comm.p1);
    theta = getTheta(comm.p2,N,comm.p1);
    syms a
    f(a) = (theta-(a+p)*p)/(a+p);
    h = ezplot(f, [0, N]);
    set(h, 'LineWidth', 2);
    set(h, 'Color', [.3 .6 .2]);
    %area(0:N-1,... 
    %    sum(makeCommunity(N, comm.p1, comm.p2, getCondition(comm.paramType))), ...
    %    'faceColor', 'none');
    [x,y]=find(comm.comm);
    scatter(x-1,y-1,ones(length(x),1)*markerSize,...
                'MarkerEdgeColor',color,...
                'MarkerFaceColor',color);
    axis equal,axis tight
    title ''
    ylim([0,N]);
    xlabel('');
    set(gca, 'FontSize', 12);

    figure;
    [~, orderOfMembers] = sort(comm.members); 
    [x,y] = find(comm.comm(orderOfMembers,orderOfMembers));
    scatter(x-1,y-1,ones(length(x),1)*markerSize,...
                'MarkerEdgeColor',color,...
                'MarkerFaceColor',color);
    axis equal,axis tight
    set(gca, 'FontSize', 12);

end