minsize = 100; 
maxsize = 1000; 
dataName={'amazon','dblp100','dblp',  'friendster', 'lj', 'orkut', 'youtube'};
x = [];
sigma = [];
group = [];
legendIds = [];
for dataNameIndex = 1:length(dataName)
    d = char(dataName(dataNameIndex));
    try
        if strcmp(d, 'dblp100')
            load(['../results/result_multiComm_dblp_100_1000_1sample100_v2.mat']);
        else
            try
                load(['../results/result_multiComm_'  d '_100_1000_1sample500_v2.mat']);
            catch
                load(['../results/result_multiComm_'  d '_100_1000_1sample500.mat']);
            end
        end
        len = nan(1,length(res));
        for i=1:length(res)
            len(i) = length(res(i).members);
        end
        
        %switch to X,sigma representation
        for c = 1:length(res)
            N = length(res(c).members);
            p = getP(res(c).p2, N, res(c).p1);
            theta = getTheta(res(c).p2, N, res(c).p1);
            res(c).paramType = 'x,sigma';
            res(c).p1 = p/(1+abs(p));% generalized version of getX(p); also for neg p.
            res(c).p2 = getSigma(theta, p);
        end

        x = [x [res(:).p1]];
        sigma = [sigma [res(:).p2]./len];
        group = [group ones(1, length(len))*dataNameIndex];
        legendIds = [legendIds dataNameIndex];
    catch e
        disp(e.message);
    end
end

%indicesToUse=find(x<=1 & x>=0);
 
dataNameLegend={'Amazon' ,'DBLP(100)','DBLP', 'Friendster ', '  LiveJournal', 'Orkut', 'YouTube'};
%set(gca, 'FontSize', 12);
figure;boxplot(x, group,'labels',dataNameLegend(legendIds));ylabel('x'); ylim([-1.01,1.01]);
%set(gca, 'FontSize', 12);
%figure;boxplot(sigma, group,'labels',dataNameLegend(legendIds));ylabel('\Sigma  relative to community size'); ylim([-0.01,1.01]);
set(gca, 'FontSize', 10);
pbaspect([1 0.7591 0.7591]);
        